Create Users
/unified/mdm/users
Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The user's name
1 supported1 required
The emails of the user
1 supported1 required
The email address
Whether the email address is primary
The type of email address
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
Response Body
The user's unique identifier
1 supported
The user's name
1 supported
The URL of the user's avatar
The date and time the user was created
The emails of the user
The email address
Whether the email address is primary
The type of email address
The user's first name
Whether the user is active or not
The user's last name
The organization/account the device belongs to
The unique identifier for an organization
The name of the organization
Raw data returned from the remote API call.
The date and time the user was last updated
curl -X POST 'https://api.truto.one/unified/mdm/users?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "your_name",
"emails": [],
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"name": "your_name",
"emails": [],
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/mdm/users?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/mdm/users"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"name": "your_name",
"emails": [],
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'mdm',
'users',
{
"name": "your_name",
"emails": [],
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"mdm",
"users",
{
"name": "your_name",
"emails": [],
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())